Package org.apache.sysds.lops

# Class LopsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sysds.api.DMLException
org.apache.sysds.lops.LopsException

All Implemented Interfaces:
  `Serializable`

public class LopsException extends DMLException

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.sysds.api.DMLException

`ERROR_MSG_DELIMITER`

## Constructor Summary

Constructors
Constructor
Description
`LopsException(String message)`
`LopsException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LopsException

public LopsException(String message)

### LopsException

public LopsException(String message, Throwable cause)